:root {
  --bs-body-font-family: "Inter", sans-serif;
  --bs-body-font-family-2: "Raleway", sans-serif;
  --bs-h1: 42px;
  --bs-h2: 40px;
  --bs-link-color: #fff;
  --bs-border-radius: 2px;
  --bs-block-title: 20px;
  --bs-padding-block: 100px 0;
  --bs-link-hover-color: #fff;
  --vpa-font-family: var(--bs-body-font-family);
}
h1 {
  font-size: var(--bs-h1);
  line-height: 130%;
  font-weight: 500;
  color: #373736;
  text-transform: uppercase;
}
.not-front h1 {
  margin-bottom: 25px;
}
h2 {
  font-size: var(--bs-h2);
  line-height: 135%;
  font-weight: 500;
  color: black;
  margin-bottom: 16px;
  text-transform: uppercase;
}
a {
  color: inherit;
  text-decoration: none;
}
div#app {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}
main {
  flex: 1 0 auto;
}
.btn-primary {
  --bs-btn-color: #ffe500;
  --bs-btn-bg: #373736;
  --bs-btn-border-color: #373736;
  --bs-btn-hover-color: #373736;
  --bs-btn-hover-bg: #ffe500;
  --bs-btn-hover-border-color: #ffe500;
  --bs-btn-focus-shadow-rgb: none;
  --bs-btn-active-color: #373736;
  --bs-btn-active-bg: #ffe500;
  --bs-btn-active-border-color: #ffe500;
  --bs-btn-active-shadow: none;
  --bs-btn-disabled-color: #373736;
  --bs-btn-disabled-bg: #ffe500;
  --bs-btn-disabled-border-color: #ffe500;
}
.nav-link {
  text-transform: uppercase;
}
.nav {
  --bs-nav-link-font-weight: 500;
}
.btn {
  --bs-btn-padding-y: 13.3px;
  --bs-btn-font-weight: 600;
  --bs-btn-line-height: 135%;
}
.dropdown-menu {
  --bs-dropdown-link-active-bg: #373736;
}
.not-front main#main {
  padding: 125px 0 80px;
}
nav.tabs .nav-link,
nav.tabs .nav-link:focus,
nav.tabs .nav-link:hover {
  color: black;
}
/* header */
.search-form__submit,
.search-form__submit:hover,
.search-form__submit:not(:disabled):not(.disabled):active:focus,
.search-form__submit:focus {
  background-image: url(/sites/all/themes/vesta_theme/image/search.svg);
  color: transparent;
  background-color: transparent;
  background-repeat: no-repeat;
  background-size: contain;
  width: 22px;
  height: 22px;
  padding: 0;
  border: none;
  border-radius: 0;
  box-shadow: none;
}
.col-search__block {
  width: 26px;
  height: 26px;
  background: url(/sites/all/themes/vesta_theme/image/search.svg) center center
    no-repeat;
  cursor: pointer;
  background-size: contain;
}
.col-search__block.close {
  background: url(/sites/all/themes/vesta_theme/image/close.svg) center center
    no-repeat;
  background-size: 16px;
}
header .region-search {
  display: none;
  position: absolute;
  top: -4px;
  width: max-content;
  right: 45px;
  z-index: 10;
}
.col-search {
  position: relative;
}
.header-top_content {
  gap: 40px;
}
.header-top_content .contact-item {
  color: white;
  opacity: 70%;
}
.header-top_content a.contact-item:hover {
  opacity: 100%;
}
header {
  background-color: #373736;
}
.header-left {
  grid-row: 1/3;
  position: relative;
}
.header-top {
  padding: 6px 0;
  border-bottom: 1px solid #ffffff4d;
  grid-row: 1 / 2;
}
.form-search.form-control {
  padding: 3.5px 16px;
}
.header-bottom {
  padding: 10px 0;
  grid-row: 2 / 3;
}
.header-content {
  grid-template-columns: 214px auto;
}
header#header {
  z-index: 1;
}
header#header .logo {
  position: absolute;
  top: 12px;
  left: 0;
  right: 0;
}
.callback {
  width: 50px;
  height: 50px;
  background: url(/sites/all/themes/vesta_theme/image/callback.svg) center
    no-repeat;
  background-size: contain;
}
.col-callback {
  display: flex;
  align-items: center;
}
header .col-contacts {
  gap: 40px;
}
.col-contacts-left {
  color: #fff;
  font-weight: 600;
  line-height: 150%;
  font-size: 14px;
  flex-shrink: 0;
}
.col-contacts-left a:hover {
  opacity: 70%;
}
.col-contacts__label {
  text-transform: uppercase;
}
header .nav-link {
  padding: 5px 18px;
}
header .nav-link:hover {
  opacity: 70%;
}
header .nav-item:first-child .nav-link {
  padding-left: 10px;
}
.dropdown-toggle::after {
  background: url(/sites/all/themes/vesta_theme/image/arrow-nav.svg) no-repeat;
  width: 13px;
  height: 10px;
  background-size: contain;
  border-right: none;
  border-top: none;
  border-left: none;
  vertical-align: 0;
  margin-left: 8px;
}
.header-top a:hover {
  opacity: 100%;
}
/* end header */

/* slider */
.slider-block {
  background-color: #f5f5f5;
  overflow: hidden;
  position: relative;
}
.node--type-slide {
  display: flex;
  align-items: center;
}

.node--type-slide .field--name-field-image {
  position: absolute;
  height: 100%;
  width: 50vw;
  bottom: 0;
  right: 0;
}
.node--type-slide .field--name-field-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: left;
}

.node--type-slide .field--name-body {
  font-size: 20px;
  line-height: 135%;
}
.node--type-slide .content {
  max-width: 589px;
  color: #373736;
  display: flex;
  flex-direction: column;
  gap: 24px;
  z-index: 1;
  background-color: #f5f5f5ab;
  backdrop-filter: blur(2px);
  margin: 142px 0 162px;
}
.field--name-field-slide-link {
  margin-top: 8px;
  padding-bottom: 50px;
}
.field--name-field-slide-link a {
  min-width: 380px;
}
.slider-block .contextual,
.slider-block .contextual-region {
  position: static;
}
/* end slider */

/* services */
.services-block {
  padding: var(--bs-padding-block);
}
.services-content {
  gap: 20px;
}
.view-services .view-content {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 30px;
}
.node--type-services.node--view-mode-teaser {
  display: flex;
  flex-direction: column;
  gap: 20px;
  justify-content: space-between;
  height: 100%;
  border: 1px solid #3737364d;
  padding: 32px 40px;
}
.node--type-services.node--view-mode-teaser:hover {
  border-color: #ffd600;
}
.field--name-field-services-img {
  width: 101px;
  height: 64px;
}
.field--name-field-services-img img {
  max-width: 100%;
  height: 100%;
  object-fit: contain;
}
.node--type-services.node--view-mode-teaser .field--name-node-title {
  font-size: var(--bs-block-title);
  line-height: 135%;
  text-transform: uppercase;
  color: black;
  max-width: 63%;
}
.node--type-services.node--view-mode-teaser .field--name-node-title:hover {
  opacity: 80%;
}
.field--name-node-link a,
.field--name-field-services-link-all a,
.more-link a {
  display: flex;
  gap: 10px;
  align-items: center;
  padding: 8px 20px 8px 6px;
  width: max-content;
  color: black;
}
.field--name-field-services-link-all {
  margin-top: 54px;
}
.field--name-node-link a:hover,
.field--name-field-services-link-all a:hover,
.more-link a:hover {
  background-color: #ffed00;
}
.field--name-node-link a:before,
.field--name-field-services-link-all a:before,
.more-link a:before {
  display: block;
  width: 31px;
  height: 31px;
  background-image: url(/sites/all/themes/vesta_theme/image/arrow-more.svg);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  content: "";
}
.field--name-field-services-short-description,
.services-block .block-content--type-services .field--name-body {
  color: #373736;
  opacity: 80%;
  line-height: 135%;
}
.node--type-services.node--view-mode-teaser.clearfix::after {
  display: none;
}
.services-block .block-content--type-services {
  padding-right: 25px;
}
/* end services */

/* benefits */
div#benefits-block {
  background-color: #f0f0f0;
  padding: 80px 0 40px;
}
.node--type-benefits.node--view-mode-teaser {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 88px;
  align-items: center;
}
.view-benefits .view-content {
  padding: 0 40px 80px;
  display: flex;
  flex-direction: column;
  gap: 60px;
}
.field--name-field-benefits-img img {
  width: 100%;
  height: auto;
  object-fit: cover;
}
.node--type-benefits.node--view-mode-teaser .field--name-body {
  color: #5f5f5e;
  line-height: 135%;
}
.node--type-benefits.node--view-mode-teaser .field--name-node-title {
  text-transform: uppercase;
  font-size: var(--bs-block-title);
  color: black;
  line-height: 135%;
  margin-bottom: 24px;
  max-width: 80%;
}
.view-benefits
  .view-content
  .views-row:nth-child(2n)
  .node--type-benefits.node--view-mode-teaser
  .field--name-node-title {
  margin-left: auto;
}
div#benefits-block .block-title {
  text-align: center;
  margin-bottom: 99px;
}
.field--name-field-benefits-img {
  position: relative;
}

.field--name-field-benefits-img:before {
  content: "";
  background: url(/sites/all/themes/vesta_theme/image/benefits-1-before.svg)
    center no-repeat;
  position: absolute;
  top: -38%;
  bottom: 0;
  left: -28.5%;
  right: -16%;
  background-size: contain;
}
.view-benefits
  .view-content
  .views-row:nth-child(2)
  .field--name-field-benefits-img:before {
  background: url(/sites/all/themes/vesta_theme/image/benefits-2-before.svg)
    center no-repeat;
  bottom: -25%;
  top: 0;
  right: -28.5%;
  left: -30%;
  background-size: contain;
}

.view-benefits
  .view-content
  .views-row:nth-child(2n)
  .node--type-benefits.node--view-mode-teaser
  .benefits-content {
  order: -1;
}
.view-benefits .view-content .views-row:nth-child(2n + 1) .benefits-content {
  padding-right: 65px;
}
.view-benefits .view-content .views-row:nth-child(2n) .benefits-content {
  padding-left: 65px;
  text-align: right;
}
/* end benefits */

/* about */
div#about-block {
  background: url(/sites/all/themes/vesta_theme/image/about-bc.png) center right
    no-repeat;
  background-size: contain;
}
.block-content--type-about {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
}
.about-content {
  padding-left: 75px;
}
.field--name-field-about-img {
  padding: 70px 0 112px;
  margin-right: 0;
  margin-left: calc(0px - (50vw - 50%));
  height: auto;
  position: relative;
  background-color: #fff;
}
.field--name-field-about-img img {
  width: 100%;
  height: auto;
}
.about-block .field--name-field-services-link-all {
  margin-top: 24px;
}
.about-block .field--name-body {
  color: #5f5f5e;
  line-height: 135%;
}
.field--name-field-about-img:after {
  position: absolute;
  width: 80px;
  bottom: 0;
  top: 0;
  right: -80px;
  left: auto;
  content: "";
  -webkit-box-shadow: 66px 0px 49px -16px rgba(255, 255, 255, 1) inset;
  -moz-box-shadow: 66px 0px 49px -16px rgba(255, 255, 255, 1) inset;
  box-shadow: 66px 0px 49px -16px rgba(255, 255, 255, 1) inset;
}
/* end about */

/* achievement */
div#achievements-block {
  margin-top: 8px;
}
.block-content--type-achievement {
  display: flex;
  gap: 40px;
  padding-bottom: 160px;
}
.achievement-content {
  width: 30%;
}
.block-content--type-achievement .field--name-field-services-link-all {
  margin-top: 24px;
}
.field--name-field-achievement-img {
  width: auto;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 30px;
  position: relative;
}
.field--name-field-achievement-img .field__item:nth-child(2n) {
  position: relative;
  top: 80px;
}
.block-content--type-achievement .field--name-body {
  color: #5f5f5e;
  line-height: 135%;
}
.field--name-field-achievement-img:before {
  position: absolute;
  bottom: -58px;
  top: auto;
  left: -140px;
  right: auto;
  max-width: 330px;
  height: 226px;
  width: 100%;
  background: url(/sites/all/themes/vesta_theme/image/achievements-before.svg)
    left bottom no-repeat;
  content: "";
  display: block;
  background-size: contain;
}
/* end achievement */

/* team */
.team-block {
  background-color: #f7f7f7;
  padding: 60px 0 30px;
}
.view-team .view-content {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 30px;
}
.field--name-field-employee-img {
  width: 230px;
  height: 230px;
  border-radius: 50%;
  overflow: hidden;
  margin-bottom: 32px;
}
.field--name-field-employee-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.node--type-employee.node--view-mode-teaser {
  display: flex;
  flex-direction: column;
  gap: 2px;
  align-items: center;
  padding: 20px 20px 40px;
}
.node--type-employee.node--view-mode-teaser .field--name-node-title {
  font-size: 18px;
  line-height: 135%;
}
.node--type-employee.node--view-mode-teaser .field--name-field-dolzhnost {
  font-size: 18px;
  line-height: 135%;
  color: #747474;
}

div#team-block .block-title {
  margin-bottom: 60px;
}
.more-link {
  position: absolute;
  width: max-content;
  top: 0;
  right: 0;
}
div#block-vesta-theme-views-block-team {
  position: relative;
}
.contextual-region.view.view-team.view-id-team.view-display-id-block_1,
.contextual-region.view.view-fotogalereya.view-id-fotogalereya.view-display-id-block_1 {
  position: static;
}

/* end team */

/* project */
div#project-block {
  padding: 80px 0 157px;
}
.region-project {
  position: relative;
}
.view-fotogalereya .view-content,
.view-gallery-page .view-content {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 30px;
}
.node--type-photogallery.node--view-mode-teaser .field--name-node-title {
  padding: 27px 0 31px;
  text-align: center;
  color: #5f5f5e;
}
div#project-block .block-title {
  max-width: 44%;
  margin-bottom: 60px;
}
div#project-block .block-title:hover {
  color: black;
}
div#project-block .more-link {
  top: 67px;
}
.node--type-photogallery.node--view-mode-teaser img,
.view-gallery-page .view-content img {
  height: 344px;
  width: 100%;
  object-fit: cover;
}
/* end project */

/* contacts */
div#contacts-block {
  background: url(/sites/all/themes/vesta_theme/image/contacts-bc.png) left
    bottom no-repeat;
  background-size: contain;
}
.contact p {
  margin: 0;
}
.contact {
  display: flex;
  flex-direction: column;
  gap: 16px;
}
.contact .block-contact {
  display: flex;
  flex-direction: column;
  gap: 12px;
}
.contact .contact-item {
  gap: 12px;
  color: #373736;
}
.contact .contact-item a:hover,
.contact a.contact-item:hover {
  color: black;
}
.contact .contact-item:before {
  content: "";
  width: 16px;
  height: 18px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}
.contact .contact-item.tel:before {
  background-image: url(/sites/all/themes/vesta_theme/image/phone.svg);
}
.contact .contact-item.work:before {
  background-image: url(/sites/all/themes/vesta_theme/image/work.svg);
}
.contact .contact-item.adress:before {
  background-image: url(/sites/all/themes/vesta_theme/image/adress.svg);
}
.contact .contact-item.mail:before {
  background-image: url(/sites/all/themes/vesta_theme/image/mail.svg);
}
.contact_label {
  color: #9b9b9b;
}
.region-contacts {
  display: flex;
  justify-content: space-between;
}

div#block-vesta-theme-vebforma {
  width: 585px;
  flex-shrink: 0;
  padding: 80px 60px;
  background-color: #fff24c;
}
.js-form-item-desc-form {
  color: #5f5f5e;
}
.js-form-item-note,
.js-form-item-privacy {
  color: #7b7b7b;
  font-size: 14px;
}
.js-form-item-privacy {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
  align-items: baseline;
}
.js-form-item-privacy a:hover {
  color: black;
}
.webform-submission-form .description {
  width: calc(100% - 16px - 9px);
}
.webform-submission-form .form-item--error-message {
  order: 2;
}
input[type="checkbox"] {
  -webkit-appearance: none;
  appearance: none;
  width: 13px;
  height: 13px;
  flex-shrink: 0;
  border: 1px solid #7b7b7b;
  border-radius: var(--bs-border-radius);
}
input[type="checkbox"]:checked {
  background: url(/sites/all/themes/vesta_theme/image/checked.svg) center center;
  background-size: 12px;
  background-repeat: no-repeat;
  background-color: var(--bs-color-blue);
  border-color: var(--bs-color-blue);
}
.webform-button--submit {
  min-width: 302px;
  margin-top: 48px;
}
div#block-vesta-theme-block-contacts {
  padding-top: 80px;
}
.form-text {
  margin-top: 0;
}
.js-form-item.js-form-item-email,
.js-form-item-name,
.js-form-item-phone {
  margin-bottom: 22px;
}
.js-form-item-message {
  min-height: 110px;
  max-height: max-content;
  margin-bottom: 16px;
}
.form-control {
  color: #7b7b7b;
  padding: 10.5px 16px;
  border-color: transparent;
}
.form-control:focus {
  border-color: #7b7b7b;
  box-shadow: none;
}
/* end contacts */

/* catalog */
.view-catalog .view-content {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 30px;
}
.taxonomy-term--type-catalog.taxonomy-term--view-mode-teaser
  .field--name-field-catalog-image
  img {
  height: 344px;
  width: 100%;
  object-fit: cover;
}
.taxonomy-term--type-catalog.taxonomy-term--view-mode-teaser
  .field--name-taxonomy-term-title {
  padding: 27px 0 31px;
  text-align: center;
  color: #5f5f5e;
}
.taxonomy-term--type-catalog.taxonomy-term--view-mode-teaser
  .field--name-taxonomy-term-title:hover {
  color: black;
}
.js-form-item-tovar {
  display: none;
}
.request {
  width: 302px;
  margin-top: 20px;
}
.slick-track {
  display: flex;
}
.commerce-product--type-vesta-product.commerce-product--view-mode-teaser
  .field--name-title {
  padding: 27px 0 31px;
  text-align: center;
  color: #5f5f5e;
}
.commerce-product--type-vesta-product.commerce-product--view-mode-teaser
  .field--name-field-image-product-view
  img {
  height: 344px;
  width: 100%;
  object-fit: cover;
}
.view-id-tovary .view-content {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 30px;
}
/* end catalog */

/* footer */
footer#footer {
  background-color: #373736;
  padding-top: 40px;
}
footer#footer .contact .contact-item {
  color: #ffffffb3;
  font-size: 18px;
}
footer#footer .contact .contact-item a:hover,
footer#footer .contact a.contact-item:hover {
  color: white;
}
div#block-vesta-theme-kontaktyvpodvale {
  max-width: 255px;
  margin-top: 68px;
}
footer#footer .logo {
  max-width: 246px;
  text-align: center;
  display: flex;
  flex-direction: column;
  gap: 16px;
}
footer#footer .logo img {
  max-width: 142px;
}
.region-text-footer {
  color: white;
  line-height: 135%;
}
.nav-menu {
  width: 155px;
  margin-top: 68px;
}
.nav-menu .nav {
  flex-direction: column;
}
.nav-menu .nav .nav-link,
.offcanvas .nav .nav-link {
  padding: 0 0 12px 0;
  line-height: 135%;
  opacity: 70%;
}
footer#footer .nav-menu .dropdown-toggle::after {
  display: none;
}
.offer {
  width: 100%;
  text-align: end;
  color: #999999;
  line-height: 150%;
  text-decoration: underline;
  margin-top: 98px;
  margin-bottom: 24px;
}
.offer:hover {
  color: white;
}
.block-copiryght {
  border-top: 1px solid #6b6a6a;
  padding: 18px 0;
  color: #999999;
}
.block-copiryght a {
  text-decoration: underline;
}
.block-copiryght a:hover {
  color: white;
}
.nav-menu .nav .nav-link:hover {
  opacity: 100%;
}
.footer-contacts {
  margin-top: 69px;
}
/* end footer */

.modal-header,
.modal-footer {
  border: none;
}
.ajax-progress .throbber,
.ajax-progress-throbber .throbber {
  display: inline-block;
  float: none;
  margin: 400px auto 0 auto;
  width: 64px;
  height: 64px;
  background: url("../image/preloader.gif") no-repeat center center;
}
.ajax-progress,
.ajax-progress-throbber {
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.2);
  position: fixed;
  top: 0;
  left: 0;
  z-index: 4444;
  vertical-align: middle;
  text-align: center;
}
.modal-content input,
.modal-content textarea.form-control {
  border: 1px solid;
}
.offcanvas .logo {
  width: 110px;
}
.offcanvas .contact .contact-item {
  color: #fff;
}
.offcanvas .region-navigation {
  margin: 30px 0;
}
.modal-content .modal-footer {
  justify-content: center;
}
.modal-content .modal-footer .webform-button--submit {
  margin-top: 0;
}
.offcanvas button.btn-close {
  filter: invert(1);
}
.offcanvas .nav .nav-link {
  opacity: 100%;
}
div#vpa-short-wrapper {
  max-width: 739px;
  margin: 0 auto 0 19%;
}
div#vpa-short-wrapper .vpa-content {
  font-size: 14px;
}
.vpa-actions .btn {
  font-size: 14px;
  padding: 9px 40px;
}
.offcanvas .dropdown-item {
  color: #fff;
}
.wr_content .form-search.form-control {
  border: 1px solid;
}
.wr_content .search-api-page-block-form-search {
  width: max-content;
}
.wr_content .search-api-page-block-form-search .search-form__submit {
  filter: invert(1);
}
